Bug 434938 - [PATCH] rshd access pam_env
[PATCH] rshd access pam_env
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rsh (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Adam Tkac
Ben Levenson
:
Depends On: 434937
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-26 08:32 EST by Adam Stokes
Modified: 2013-04-30 19:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-15 05:57:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
read environment variables (645 bytes, patch)
2008-02-26 08:32 EST, Adam Stokes
no flags Details | Diff

  None (edit)
Description Adam Stokes 2008-02-26 08:32:00 EST
+++ This bug was initially created as a clone of Bug #434937 +++

Description of problem:
rshd is not pulling down environment variables as listed in
/etc/security/pam_env.conf

Version-Release number of selected component (if applicable):
netkit-rsh 0.17.x

How reproducible:
100%

Steps to Reproduce:
1.add env to /etc/security/pam_env.conf
2.rsh <server> env
3.
  
Actual results:
specified environment variables are not set

Expected results:
environment variables set

Additional info:
patch from http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=48406

-- Additional comment from astokes@redhat.com on 2008-02-26 08:30 EST --
Created an attachment (id=295902)
read environment variables
Comment 1 Adam Stokes 2008-02-26 08:32:00 EST
Created attachment 295903 [details]
read environment variables
Comment 2 Adam Tkac 2008-03-10 10:25:18 EDT
Patch looks fine.
Comment 3 Adam Tkac 2008-04-02 08:51:13 EDT
Comment on attachment 295903 [details]
read environment variables

Patch from rawhide (netkit-rsh-0.17-pam_env.patch) should be used instead
Comment 4 RHEL Product and Program Management 2008-07-21 19:06:11 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 11 errata-xmlrpc 2009-04-15 05:57:26 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0423.html

Note You need to log in before you can comment on or make changes to this bug.